> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List attestation public keys

> Retrieves a list of the currently active public keys for verifying attestation signatures.



## OpenAPI

````yaml openapi/cctp.yaml get /v1/publicKeys
openapi: 3.0.2
info:
  version: '1.0'
  title: Cross-Chain Transfer Protocol (CCTP)
  description: >
    Circle's Cross-Chain Transfer Protocol enables you to build seamless user
    experiences for sending and transacting USDC natively across blockchains.


    CCTP endpoints enable advanced capabilities such as fetching attestations
    for faster-than-finality burn events, verifying public keys across versions,
    accessing transaction details, querying Fast Transfer allowances and fees,
    and initiating re-attestation processes.
servers:
  - url: https://iris-api-sandbox.circle.com
  - url: https://iris-api.circle.com
security: []
tags:
  - name: CCTP
    description: Cross-Chain Transfer Protocol endpoints
  - name: CCTP V1 (Legacy)
    description: Legacy Cross-Chain Transfer Protocol endpoints
paths:
  /v1/publicKeys:
    get:
      tags:
        - CCTP V1 (Legacy)
      summary: List attestation public keys
      description: >-
        Retrieves a list of the currently active public keys for verifying
        attestation signatures.
      operationId: getPublicKeys
      responses:
        '200':
          description: Successfully retrieved public keys.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicKeysV1Response'
              examples:
                response:
                  value:
                    publicKeys:
                      - >-
                        0x04fc192351b97838713efbc63351e3b71607cc7fc0a74fadaa12d39a693713529bf392c0eeaff62eff2f06b47a4c7cd5f83159e4145444f817d5e7f24e256c6278
components:
  schemas:
    PublicKeysV1Response:
      type: object
      description: An array of public keys as strings.
      required:
        - publicKeys
      properties:
        publicKeys:
          type: array
          uniqueItems: true
          items:
            type: string
            example: >-
              0x04fc192351b97838713efbc63351e3b71607cc7fc0a74fadaa12d39a693713529bf392c0eeaff62eff2f06b47a4c7cd5f83159e4145444f817d5e7f24e256c6278

````